#!/bin/sh -efu

a= . install2-init-functions
. shell-config

INSTALL2_DIR=/usr/share/install2
AHS_CFG="$destdir/etc/alterator/hotstandby/ahs.cfg"
AHS_SERVICES_LIST="$destdir/etc/alterator/hotstandby/services.list"
AHS_CONFIG=/usr/lib/alterator-hotstandby/ahs_config
AHS_SET_RL=/usr/lib/alterator-hotstandby/ahs_set_rl
CHKCONFIG=/sbin/chkconfig
AHS_RL=4

# Use *.list from installer-distro-* if exists
for list in services.list config.list module-skip.list; do
	if [ -f "$destdir/$INSTALL2_DIR/alterator-hotstandby/$list" ]; then
		cp "$destdir/$INSTALL2_DIR/alterator-hotstandby/$list" "$destdir/etc/alterator/hotstandby/"
	fi
done

# Set runlevels
shell_config_set "$AHS_CFG" rl_normal 3
shell_config_set "$AHS_CFG" rl_hotstandby "$AHS_RL"

# Make runlevel 'rl_hotstandby' equal with 'rl_normal'
exec_chroot "$AHS_SET_RL"

# Add all services in list to heartbeat control
for i in $(cat "$AHS_SERVICES_LIST"); do
    exec_chroot "$AHS_CONFIG" --add "$i"
done

# Disable services on runlevel AHS_RL
exec_chroot "$AHS_CONFIG" --offall "$AHS_RL"

# Enable additional services
exec_chroot "$CHKCONFIG" --level "$AHS_RL" heartbeat on
exec_chroot "$CHKCONFIG" --level "$AHS_RL" csync2 on
